python-polib_1.1.0-3_all.deb


Advertisement

Description

python-polib - Python library to parse and manage gettext catalogs

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-polib_1.1.0-3_all.deb
Package name python-polib
Package version 1.1.0
Package release 3
Package architecture all
Package type deb
Category universe/python
Homepage http://bitbucket.org/izi/polib/src/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 20.14 KB
Installed size 96.00 KB
polib allows you to manipulate, create, modify gettext files
(pot, po and mo files). You can load existing files, iterate
through it's entries, add, modify entries, comments or metadata,
etc... or create new po files from scratch.
This package installs the library for Python 2.

Alternatives

Package Version Architecture Repository
python-polib_1.1.0-3_all.deb 1.1.0 all Ubuntu Universe
python-polib - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-polib_1.1.0-3_all.deb
Source Package polib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-polib deb package:
    # sudo apt-get install python-polib

Files

Path
/usr/lib/python2.7/dist-packages/polib.py
/usr/lib/python2.7/dist-packages/polib-1.1.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/polib-1.1.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/polib-1.1.0.egg-info/top_level.txt
/usr/share/doc/python-polib/changelog.Debian.gz
/usr/share/doc/python-polib/copyright

Changelog

2017-12-08 - Angel Abad <angel@debian.org>
polib (1.1.0-3) unstable; urgency=medium
* debian/control:
- Fix spelling error
- Mark python-polib-doc as Multi-Arch foreign
* Bump Standards-Version to 4.1.2 (no changes)
2017-11-30 - Angel Abad <angel@debian.org>
polib (1.1.0-2) unstable; urgency=medium
* debian/control: Add python autopkg tests
2017-11-29 - Angel Abad <angel@debian.org>
polib (1.1.0-1) unstable; urgency=medium
* New upstream version 1.1.0 (Closes: #873163)
* Remove trailing whitespaces
* debian/control: Build depends on python3-sphinx
* debian/copyright: Update copyright years
* debian/watch: Use secure url
* Bump Debhelper compat level to 10
* Declare compliance with Debian Policy 4.1.1
2016-12-08 - Angel Abad <angel@debian.org>
polib (1.0.8-1) unstable; urgency=medium
* New upstream version 1.0.8
* debian/copyright:
- Change Copyright-Format 1.0 URL to HTTPS.
- Change license name, MIT to Expat.
* debian/control:
- Remove versions from Build-Depends.
- Use HTTPS transport protocol for Vcs-Git URI.
- Remove extra spaces in descriptions.
* Declare compliance with Debian Policy 3.9.8.
* debian/patches/remove_external_data: Remove data from external
website in docs.
* Add debian/upstream/metadata.
2015-07-22 - Angel Abad <angel@debian.org>
polib (1.0.7-1) unstable; urgency=medium
* Imported Upstream version 1.0.7
* debian/control: Build-Depends on dh-python
* debian/rules: Force package python tests
2015-02-09 - Angel Abad <angel@debian.org>
polib (1.0.6-1) unstable; urgency=medium
* Imported Upstream version 1.0.6
* debian/watch: Update file, now uses pypi.debian.net
* debian/patches/01_remove_unicode_error_files: Remove patch, applied
upstream
* Bump debhelper compat level to 9
* Declare compliance with Debian Policy 3.9.6
* debian/control:
- Build-Depends on python-setuptools and python3-setuptools
- Adjust python-sphinx version
- Fix python and python3 versions
- Update package descriptions
* debian/rules:
- Uses --buildsystem=pybuild for simplified file
- Override for new sphinx build with localhost proxy
2014-08-25 - Angel Abad <angel@debian.org>
polib (1.0.5-1) unstable; urgency=medium
* Imported Upstream version 1.0.5 (Closes: #754549)
* Update Vcs-Browser URL to cgit web frontend
* debian/copyright: Update debian/* years
2014-03-19 - Angel Abad <angel@debian.org>
polib (1.0.4-1) unstable; urgency=medium
* Imported Upstream version 1.0.4
* debian/watch: Now use pipy url
* Bump Standards-Version to 3.9.5 (no changes)
2013-02-19 - Angel Abad <angel@debian.org>
polib (1.0.3-2) unstable; urgency=low
* debian/control: Switch python-sphinx to B-D again because it is needed
in the clean target. Thanks to Jakub Wilk (Closes: #700340)
2013-02-10 - Angel Abad <angel@debian.org>
polib (1.0.3-1) unstable; urgency=low
* Imported Upstream version 1.0.3
* debian/control: Switch python-sphinx to B-D-I
* debian/patches/01_remove_unicode_error_files: Refresh patch

See Also

Package Description
python-polled-camera_1.11.11-3_all.deb Robot OS polled_camera package - Python
python-popcon_1.5.1_all.deb Python interface to Debian's Popularity Contest (popcon)
python-poppler_0.12.1-10_i386.deb Poppler Python bindings
python-portalocker_1.1.0-2_all.deb easy API to file locking (Python 2)
python-portpicker_1.2.0-1_all.deb Python 2 module to find unused network ports to bind to
python-poster_0.8.1-0.2_all.deb Python support for HTTP multipart PUT/POST
python-potr_1.0.1-1.1_all.deb Pure Python implementation of the OTR protocol
python-power_1.4+dfsg-2_all.deb Python module to get power and battery status (Python 2)
python-powerline-doc_2.6-1_all.deb powerline documentation
python-powerline-taskwarrior_0.5.2-1_all.deb Powerline segment for showing Taskwarrior information (Python 2)
python-powerline_2.6-1_all.deb powerline python2 library
python-pp_1.6.5-1_all.deb parallel and distributed programming toolkit for Python
python-pprofile_1.11.0-1_all.deb Line-granularity, deterministic and statistic Python profiler
python-pqueue_0.2-7.3_i386.deb a priority queue extension for Python
python-prctl_1.6.1-2build1_i386.deb Python interface to the prctl() syscall (Python 2)
Advertisement
Advertisement